Filter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Filter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Filter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Filter

public class Filter
extends Task

Sets a token filter that is used by the file copy tasks to do token substitution. Sets mutiple tokens by reading these from a file.

Since:
  Ant 1.1
Author:
  Stefano Mazzocchi stefano@apache.org, Gero Vermaas gero@xs4all.nl, Michael McCallum

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Filter()`

Method Summary
`void` | `execute()` Called by the project to let the task do its work.
`protected void` | `readFilters()`
`void` | `setFiltersfile(java.io.File filtersFile)` The file from which the filters must be read.
`void` | `setToken(java.lang.String token)` The token string without @ delimiters.
`void` | `setValue(java.lang.String value)` The string that should replace the token during filtered copies.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### setToken

    public void setToken(java.lang.String token)

  The token string without @ delimiters.

  Parameters:
    `token` - token to set

### setValue

    public void setValue(java.lang.String value)

  The string that should replace the token during filtered copies.

  Parameters:
    `value` - token replace value

### setFiltersfile

    public void setFiltersfile(java.io.File filtersFile)

  The file from which the filters must be read. This file must be a formatted as a property file.

  Parameters:
    `filtersFile` - filter file

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### readFilters

    protected void readFilters()
                        throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.